Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Can I use 12.04 to build Ubuntu Phone apps? The example indicates 12.10.

share|improve this question
add comment

1 Answer 1

Yes.

Requirements

The example provided at Ubuntu App Developer lists the requirements for:

  1. Operating System – Ubuntu (12.04 and higher is required because of PPAs mentioned below)

  2. Qt5 and Ubuntu QML Toolkit available from the following PPAs. Both the PPAs provide packages for Precise (12.04) and higher.

  3. A Code Editor (preference for Qt Creator Install qtcreator - although you may use the editor of your choice)

Terminal Commands

Running the following commands should install everything you need:

sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-proper
sudo add-apt-repository ppa:ubuntu-sdk-team/ppa
sudo apt-get update && sudo apt-get install ubuntu-sdk notepad-qml

If you also want to install Qt Creator:

sudo apt-get install qtcreator

Note if you already have Qt4 or if you plan to use that in future

It's good to read the following note from PPA:

  1. Qt4 and Qt5 are fully co-installable with the migration to the new qtchooser tool. [note: on 12.04 LTS not yet simultaneous Qt4 / Qt5 development executables, but libraries are fine]. The previous Debian/Ubuntu approach relied on renaming binaries and using alternatives. When packaging against Qt5, include a dependency to qt5-default in addition to other dependencies. For Qt4, use qt4-default. Install qt5-default also on your machine to have Qt5 as the default configuration. See man qtchooser for more information.

  2. If you have older Qt4/Qt5 packages that have wrong/higher version numbers or conflict otherwise, you may use a variation of the following to force the versions in this repository, provided the other PPA:s are disabled:

    You can use the same to revert also to original archive versions, before which you should do sudo dpkg -P qt5-default qtchooser.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.